Summary:        Anaconda addon integrating OpenSCAP to the installation process
Name:           oscap-anaconda-addon
Version:        2.0.0
Release:        5%{?dist}
License:        GPLv2+
URL:            https://github.com/OpenSCAP/oscap-anaconda-addon
Source0:        %{url}/releases/download/r%{version}/%{name}-%{version}.tar.gz
Source1:        addon-dbus-data.zip

Patch3001: 	lang.patch
Patch3002: 	oscap-anaconda-addon-2.0.1-various_bugfixes-PR_166.patch
Patch3003: 	oscap-anaconda-addon-2.0.1-fix_archive_handling-PR_170.patch
Patch3004: 	oscap-anaconda-addon-2.0.1-fix_no_hardening-PR_176.patch
Patch3005: 	oscap-anaconda-addon-2.0.1-fix_fingerprint-PR_177.patch
Patch3006: 	oscap-anaconda-addon-2.0.1-rhel9_tailoring_fix-PR_180.patch
Patch3007: 	oscap-anaconda-addon-1.2.2-dbus_show_integration-PR_182.patch
Patch3008: 	oscap-anaconda-addon-2.1.0-unified_help-PR_192.patch
Patch3009: 	oscap-anaconda-addon-2.0.1-absent_appstream-PR_185.patch
Patch3010: 	oscap-anaconda-addon-2.0.1-fix_strings-PR_207.patch

BuildArch:      noarch
BuildRequires:  make gettext python3-devel python3-pycurl 
BuildRequires:  openscap openscap-utils openscap-python3
BuildRequires:  anaconda-core >= 36
Requires:       anaconda-core >= 36
Requires:       python3-pycurl python3-kickstart
Requires:       openscap openscap-utils openscap-python3
Requires:       scap-security-guide

%description
OSCAP Anaconda addon is an addon for the Anaconda installer that integrates 
OpenSCAP to the installation process and allows installation of system following 
some SCAP-defined restrictions and recommendations.

%prep
%autosetup -p1
unzip %{_sourcedir}/addon-dbus-data.zip

%build

%check

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%doc COPYING ChangeLog README.md
%{_datadir}/anaconda/addons/org_fedora_oscap
%{_datadir}/anaconda/dbus/confs/org.fedoraproject.Anaconda.Addons.OSCAP.conf
%{_datadir}/anaconda/dbus/services/org.fedoraproject.Anaconda.Addons.OSCAP.service

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.0-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Sep 5 2022 Cheng Xin <denisecheng@tencent.com> - 2.0.0-1
- package init.
